tech-net archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: 5.99.11 wpa_supplicant & ath

On Thu, May 14, 2009 at 02:17:50AM +0100, Roy Marples wrote:
> Martin S. Weber wrote:
> > I have tried adding the -DNEW_FREEBSD_MLME_ASSOC line to my
> > usr.sbin/wpa/wpa_supplicant/Makefile, rebuilt, installed that binary and
> > tried again, with no success.
> It won't work.
> You'll need to revert this patch

I've tried with a "yesterday" (cvs up'd and compiled yesterday, installed today)
system, i.e. one that did not have this patch. My sources still contain the 
with NEW_FREEBSD_MLME_ASSOC (I looked at driver_bsd before adding that line to
my Makefile).

Both with -DNEW_FREEBSD_MLME_ASSOC and without the symptoms are the same (and
it's not working).

> Well, I could spend more time seeing if there's any other changes in the
>  FreeBSD driver I suppose.
> I do have an ath card, but it's also my access point so hard to test
> wpa_supplicant against it.

If there's something I can do to help, tell me (although I won't get to it
before tomorrow morning ESDT -- and won't have any internet while trying
things as the ath is my link out atm). [my sources are from "somewhen"
yesterday or maybe even a day older, hmmm]

> We've now had 4 cards reporting success (iwi, ral, rum, wpi) and now one
>  failure (ath0) so it could be an issue in the ath(4) driver.

I hope not... dumb me hasn't kept the old release sets of the previously
installed (older, but working) system...

Thanks though, so far!


Home | Main Index | Thread Index | Old Index